Bug 175734 - no ethernet detected on system with EG20T PCH chipset ATOM E6xx series
Summary: no ethernet detected on system with EG20T PCH chipset ATOM E6xx series
Status: Closed Overcome By Events
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: Unspecified
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-net (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-31 14:30 UTC by Massimo
Modified: 2018-05-29 15:28 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Massimo 2013-01-31 14:30:02 UTC
I'm using Freebsd on Freenas 8.3  HW is based on ATOM E6xx series , chipset EG20T PCH , but I have problems on network , seems that system doesn't see the ethernet port, verifying seems that freebsd 8.3 doesn't support this chipset , could you let me know if there is a workaround or there is the possibility to have the driver or load driver or rev.9.0 support also this chipset ,or there is a kind of patch for it.
Below the statement of the system.
[root@freenas]# ifconfig -a
lo0: flags=8049<UP,LOOPBACK,RUNNING,MULTICAST> metric 0 mtu 16384
	options=3<RXCSUM,TXCSUM>
	inet6 fe80::1%lo0 prefixlen 64 scopeid 0x9
	inet6::1 prefixlen 128
	inet 127.0.0.1 netmask 0xff000000
	nd6 options=3<PERFORMNUD,ACCEPT_RTADV>

[root@freenas]# pciconf -vl
hostb0@pci0:0:0:0:	class=0x060000 card=0x00000000 chip=0x41148086 rev=0x05 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= HOST-PCI
hostb1@pci0:0:1:0:	class=0x060000 card=0x81868086 chip=0x81838086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= HOST-PCI
vgapci0@pci0:0:2:0:	class=0x030000 card=0x00000000 chip=0x41088086 rev=0x05 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= display
	Subclass	= VGA
none0@pci0:0:3:0:		class=0x040000 card=0x81868086 chip=0x81828086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= multimedia
	Subclass	= video
pcib1@pci0:0:23:0:	class=0x060400 card=0x81868086 chip=0x81848086 rev=0x02 hdr=0x01
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= PCI-PCI
pcib3@pci0:0:24:0:	class=0x060400 card=0x81868086 chip=0x81858086 rev=0x02 hdr=0x01
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= PCI-PCI
pcib5@pci0:0:25:0:	class=0x060400 card=0x81868086 chip=0x81808086 rev=0x02 hdr=0x01
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= PCI-PCI
pcib6@pci0:0:26:0:	class=0x060400 card=0x81868086 chip=0x81818086 rev=0x02 hdr=0x01
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= PCI-PCI
none1@pci0:0:27:0:	class=0x040300 card=0x81868086 chip=0x811b8086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= multimedia
	Subclass	= HAD
isab0@pci0:0:31:0:	class=0x040100 card=0x81868086 chip=0x81868086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= PCI-ISA
pcib2@pci0:1:0:0:		class=0x060400 card=0x00000000 chip=0x88008086 rev=0x01 hdr=0x01
	Vendor	= 'Intel Corporation'
	Class		= bridge
	Subclass	= PCI-PCI
none2@pci0:2:0:0:		class=0xff0000 card=0x00000000 chip=0x88018086 rev=0x01 hdr=0x00
	Vendor	= 'Intel Corporation'
none3@pci0:2:0:1:		class=0x020000 card=0x00000000 chip=0x88028086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= network
	Subclass	= Ethernet
none4@pci0:2:0:2:		class=0x0ff000 card=0x00000000 chip=0x88038086 rev=0x01 hdr=0x00
	Vendor	= 'Intel Corporation'
ohci0@pci0:2:2:0:		class=0x0c0310 card=0x00000000 chip=0x88048086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
ohci1@pci0:2:2:1:		class=0x0c0310 card=0x00000000 chip=0x88058086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
ohci2@pci0:2:2:2:		class=0x0c0310 card=0x00000000 chip=0x88068086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
ehci0@pci0:2:2:3:		class=0x0c0320 card=0x00000000 chip=0x88078086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
none5@pci0:2:2:4:		class=0x0c03fe card=0x00000000 chip=0x88088086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
none6@pci0:2:4:0:		class=0x080501 card=0x00000000 chip=0x88098086 rev=0x01 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= base peripheral
	Subclass	= SD host controller
none7@pci0:2:4:1:		class=0x080501 card=0x00000000 chip=0x880a8086 rev=0x01 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= base peripheral
	Subclass	= SD host controller
ahci0@pci0:2:6:0:		class=0x010601 card=0x00000000 chip=0x880b8086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= mass storage 
	Subclass	= SATA
ohci3@pci0:2:8:0:		class=0x0c0310 card=0x00000000 chip=0x880c8086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
ohci4@pci0:2:8:1:		class=0x0c0310 card=0x00000000 chip=0x880d8086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
ohci5@pci0:2:8:2:		class=0x0c0310 card=0x00000000 chip=0x880e8086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
ehci1@pci0:2:8:3:		class=0x0c0320 card=0x00000000 chip=0x880f8086 rev=0x02 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
	Subclass	= USB
none8@pci0:2:10:0:	class=0xff0000 card=0x00000000 chip=0x88108086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
none9@pci0:2:10:1:	class=0x070002 card=0x00000000 chip=0x88118086 rev=0x01 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= simple comms
	Subclass	= UART
none10@pci0:2:10:2:	class=0x070002 card=0x00000000 chip=0x88128086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= simple comms
	Subclass	= UART
none11@pci0:2:10:3:	class=0x070002 card=0x00000000 chip=0x88138086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= simple comms
	Subclass	= UART
none12@pci0:2:10:4:	class=0x070002 card=0x00000000 chip=0x88148086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= simple comms
	Subclass	= UART
none13@pci0:2:12:0:	class=0xff0000 card=0x00000000 chip=0x88158086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
none14@pci0:2:12:1:	class=0x0c8000 card=0x00000000 chip=0x88168086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
none15@pci0:2:12:2:	class=0x0c8000 card=0x00000000 chip=0x88178086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
none16@pci0:2:12:3:	class=0x0c0900 card=0x00000000 chip=0x88188086 rev=0x00 hdr=0x00
	Vendor	= 'Intel Corporation'
	Class		= serial bus
none17@pci0:2:12:4:	class=0xff0000 card=0x00000000 chip=0x88198086 rev=0x01 hdr=0x00
	Vendor	= 'Intel Corporation'
pcib4@pci0:3:0:0:		class=0x060400 card=0x00000000 chip=0x811210b5 rev=0xaa hdr=0x01
	Vendor	= 'PLX technology Inc'
	Device	= '1 Lane PCI Express to PCI bridge (PEX8112)
	Class		= bridge
	Subclass	= PCI-PCI
		
	
Could you help me ?
Many Thanks
Regards
Massimo
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2013-01-31 17:29:11 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Although this is system-specific, I'll take a chance on assigning this 
to freebsd-net in case someone knows of a way to convince an existing 
driver to see this chip.
Comment 2 marius 2013-02-01 17:21:34 UTC
FreeBSD simply has no driver supporting this MAC, yet, i.e. a counterpart
to the Linux pch_gbe.
Comment 3 Nick Hibma freebsd_committer 2014-06-13 19:22:06 UTC
We've successfully run FBSD10-STABLE on a EG20T chipset platform and used its networking as well. You might want to try again.
Comment 4 Kevin Lo freebsd_committer 2014-06-17 05:15:14 UTC
(In reply to Nick Hibma from comment #3)
> We've successfully run FBSD10-STABLE on a EG20T chipset platform and used
> its networking as well. You might want to try again.

Really?  Which device driver you use?
Marius is right, there's no FreeBSD support for this device.
Comment 5 Nick Hibma freebsd_committer 2014-06-17 09:13:54 UTC
My bad: We had some problems with this EG20T platform and I thought we resolved them all. We managed to get the 82574L (if_em) based adapters to work (invalid EEPROM checksum). I hadn't noticed the 

none2@pci0:2:0:1:       class=0x020000 card=0x00000000 chip=0x88028086 rev=0x02 hdr=0x00
    vendor     = 'Intel Corporation'
    device     = 'Platform Controller Hub EG20T Gigabit Ethernet Controller'
    class      = network
    subclass   = ethernet

which isn't wired up at all externally. Thanks, Kevin, for correcting me! Reopened.
Comment 6 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:43:00 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 7 Sean Bruno freebsd_committer 2018-05-29 15:28:17 UTC
The EG20T seems to be a special case Intel Gigabit controller that requires special support.  A quick scan of the internet, linux and bsd trees shows that a lot more work would be required to get this functional.